org.apache.ignite.internal.processors.platform

## Interface PlatformProcessor

All Superinterfaces:
  GridComponent, GridProcessor

All Known Implementing Classes:
  PlatformNoopProcessor, PlatformProcessorImpl

    public interface PlatformProcessor
    extends GridProcessor

Platform processor.

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.apache.ignite.internal.GridComponent

`GridComponent.DiscoveryDataExchangeType`

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `awaitStart()` Await until platform processor is safe to use (i.e.
`PlatformContext` `context()` Gets platform context.
`long` `environmentPointer()` Get environment pointer associated with this processor.
`Ignite` `ignite()` Gets owning Ignite instance.
`void` `registerStore(PlatformCacheStore store, boolean convertBinary)` Register cache store.
`void` `releaseStart()` Notify processor that it is safe to use.

### Methods inherited from interface org.apache.ignite.internal.GridComponent

`collectGridNodeData, collectJoiningNodeData, discoveryDataType, onDisconnected, onGridDataReceived, onJoiningNodeDataReceived, onKernalStart, onKernalStop, onReconnected, printMemoryStats, start, stop, validateNode, validateNode`

### Method Detail

#### ignite

    Ignite ignite()

Gets owning Ignite instance.

Returns:
  Ignite instance.

#### environmentPointer

    long environmentPointer()

Get environment pointer associated with this processor.

Returns:
  Environment pointer.

#### context

    PlatformContext context()

Gets platform context.

Returns:
  Platform context.

#### releaseStart

    void releaseStart()

Notify processor that it is safe to use.

#### awaitStart

    void awaitStart()
             throws IgniteCheckedException

Await until platform processor is safe to use (i.e. `has been called`.

Throws:
  `IgniteCheckedException` - If failed.

#### registerStore

    void registerStore(PlatformCacheStore store,
                       boolean convertBinary)
                throws IgniteCheckedException

Register cache store.

Parameters:
  `store` - Store.
  `convertBinary` - Convert binary flag.
Throws:
  `IgniteCheckedException` - If failed.

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.6.0
Release Date | : July 10 2018